Bug 952579 - Review Request: perl-IO-Event - Tied filehandles for nonblocking IO with object callbacks
Summary: Review Request: perl-IO-Event - Tied filehandles for nonblocking IO with obje...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-16 08:56 UTC by Emmanuel Seyman
Modified: 2013-04-28 03:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-28 03:49:53 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2013-04-16 08:56:06 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-IO-Event/perl-IO-Event.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-IO-Event/perl-IO-Event-0.809-1.fc18.src.rpm
Description:
IO::Event provides a object-based callback system for handling nonblocking
IO. The design goal is to provide a system that just does the right thing
w/o the user needing to think about it much.

Fedora Account System Username: eseyman

This module is required to update perl-File-Flock to the latest version, itself needed to update perl-Daemon-Generic.

Comment 1 Petr Šabata 2013-04-16 13:07:48 UTC
Issues
 - The package doesn't build in mock (caused by missing BRs, see below)
 - perl(AnyEvent), perl(IO::Socket::INET), and perl(IO::Socket::UNIX) will most likely not be autodetected by rpmbuild (not confirmed, see above); check that once you build the package and require them explicitly if need be

Missing required BRs:
 - perl(Carp) used in various places
 - perl(Event::Watcher) used in lib/IO/Event/Event.pm:28
 - perl(Exporter) used in t/multifork.tt:7
 - perl(List::MoreUtils) used in lib/IO/Event.pm:1192
 - perl(Scalar::Util) used in various places
 - perl(Socket) used in various places

Missing recommended BRs:
(mostly, those modules are part of the perl package *at the moment*; the same applies to Test::Simple which you have listed explcitly)
 - perl - called in spec
 - perl(AnyEvent::Impl::Perl) - to run various AnyEvent tests properly
 - perl(diagnostics) used in various places
 - perl(FindBin) used in various places
 - perl(IO::Handle) used in lib/IO/Event.pm:133
 - perl(IO::Pipe) used in t/forked.tt:27
 - perl(IO::Socket::INET) used in various places
 - perl(IO::Socket::UNIX) used in lib/IO/Event.pm:1290
 - perl(POSIX) used in various places
 - perl(strict) used in various places
 - perl(Symbol) used in lib/IO/Event.pm:131
 - perl(Sys::Hostname) used in various places
 - perl(Test::More) used in various places
 - perl(Time::HiRes) used in various places
 - perl(warnings) used in various places

Tips:
 - PERL_INSTALL_ROOT could be substituted with common DESTDIR

Comment 2 Emmanuel Seyman 2013-04-19 20:50:29 UTC
(In reply to comment #1)
> Issues
>  - The package doesn't build in mock (caused by missing BRs, see below)

Wow, this sucks.
My apologies for submitting this without checking it built in mock first.

>  - perl(AnyEvent), perl(IO::Socket::INET), and perl(IO::Socket::UNIX) will
> most likely not be autodetected by rpmbuild (not confirmed, see above);
> check that once you build the package and require them explicitly if need be

Done.


> Missing required BRs:
>  - perl(Carp) used in various places
>  - perl(Event::Watcher) used in lib/IO/Event/Event.pm:28
>  - perl(Exporter) used in t/multifork.tt:7
>  - perl(List::MoreUtils) used in lib/IO/Event.pm:1192
>  - perl(Scalar::Util) used in various places
>  - perl(Socket) used in various places

Added.

> Missing recommended BRs:
> (mostly, those modules are part of the perl package *at the moment*; the
> same applies to Test::Simple which you have listed explcitly)
>  - perl - called in spec
>  - perl(AnyEvent::Impl::Perl) - to run various AnyEvent tests properly
>  - perl(diagnostics) used in various places
>  - perl(FindBin) used in various places
>  - perl(IO::Handle) used in lib/IO/Event.pm:133
>  - perl(IO::Pipe) used in t/forked.tt:27
>  - perl(IO::Socket::INET) used in various places
>  - perl(IO::Socket::UNIX) used in lib/IO/Event.pm:1290
>  - perl(POSIX) used in various places
>  - perl(strict) used in various places
>  - perl(Symbol) used in lib/IO/Event.pm:131
>  - perl(Sys::Hostname) used in various places
>  - perl(Test::More) used in various places
>  - perl(Time::HiRes) used in various places
>  - perl(warnings) used in various places

Added too.

> Tips:
>  - PERL_INSTALL_ROOT could be substituted with common DESTDIR

Done.

Spec URL: http://people.parinux.org/~seyman/fedora/perl-IO-Event/perl-IO-Event.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-IO-Event/perl-IO-Event-0.809-2.fc18.src.rpm

Comment 3 Petr Šabata 2013-04-22 11:27:27 UTC
Okay, approving.

Comment 4 Emmanuel Seyman 2013-04-22 11:40:31 UTC
Thanks for the review, Petr. Requesting SCM.

New Package SCM Request
=======================
Package Name: perl-IO-Event
Short Description: Tied filehandles for nonblocking IO with object callbacks
Owners: eseyman
Branches: f19 f18
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2013-04-22 13:40:59 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-04-23 12:32:17 UTC
perl-IO-Event-0.809-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-IO-Event-0.809-2.fc18

Comment 7 Fedora Update System 2013-04-23 12:32:29 UTC
perl-IO-Event-0.809-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-IO-Event-0.809-2.fc19

Comment 8 Fedora Update System 2013-04-23 16:44:57 UTC
perl-IO-Event-0.809-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2013-04-28 03:49:55 UTC
perl-IO-Event-0.809-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.